Claim organization (V0)
Proxies org claiming requests to the Supabase Edge Function claim-org. Creates user profile and org claim record, determines claim result based on email domain matching.
Headers
Authorizationstring · requiredThe
Authorizationheader is used to authenticate with the API using your API key. Value is of the formatBearer YOUR_KEY_HERE.
Request Body
userEmailstring · email · requiredfirstNamestring · requiredlastNamestring · requiredrolesstring[] · requiredorgNamestring · requiredisNewOrgboolean · required
web3authVerifierstringorgUristringorgDomainstringnewOrgNamestring
Responses
Claim result
resultVariantstring · enumEnum values:claimedrequest-sentmanual-reviewnew-orgorgNamestring
Check user and org claim (GET) (V0)
Proxies to the Supabase Edge Function check-user. Returns user profile and approved org claim info for the given email.
query Parameters
emailstring · email · required
Headers
Authorizationstring · requiredThe
Authorizationheader is used to authenticate with the API using your API key. Value is of the formatBearer YOUR_KEY_HERE.
Responses
User check result with optional org claim
existsboolean · required
firstNamestringlastNamestringorgUristringorgNamestringorgTypestring
Check if user exists (POST) (V0)
Proxies to the Supabase Edge Function check-user. Checks if a user profile exists for the given email address.
Headers
Authorizationstring · requiredThe
Authorizationheader is used to authenticate with the API using your API key. Value is of the formatBearer YOUR_KEY_HERE.
Responses
User check result
existsboolean · required
firstNamestringlastNamestring
